
Infrastructure - Task #82

Story # 945 (Closed): Document and implement search mechanism exposed by the Coordinating Nodes

Draft CN.search parameters and response

2009-12-03 19:46 - Dave Vieglais

Status: Closed Start date: 2011-08-30

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 100%

Category: d1_cn_service Estimated time: 0.00 hour

Target version: Sprint-2012.07-Block.1.4   

Milestone: None Story Points:  

Product Version: *   

Description

CN.search exists as a place holder in the prototype APIs but is lacking any definition of the query syntax to be used or the expected

response.

The task is to draft a specification for both query syntax and response format.

Query targets will initially be Mercury (lucene based query) and Metacat (PathQuery structure).

Response should be simple, but provide solid hints to the client as to what they are getting back (e.g. DC metadata)

Subtasks:

Task # 1738: Document the Mercury schema.xml entries Closed

History

#1 - 2010-02-18 01:16 - Dave Vieglais

Need to specify how queries are being passed in and whether the response type is extensible- if so, mechanisms for extension

#2 - 2010-08-18 00:50 - Dave Vieglais

This is partially complete - moving to the review milestone as it should be finished before moving into evaluation.

#3 - 2010-10-07 00:22 - Matthew Jones

- Parent task set to #945

- Milestone set to CCI-0.6

- Category changed from Documentation to d1_cn_service

- Target version deleted (CCI.Prototype.Review)

#4 - 2010-11-30 17:56 - Dave Vieglais

- Status changed from New to In Progress

#5 - 2012-03-05 17:16 - Dave Vieglais

- Milestone changed from CCI-0.6 to None

- Status changed from In Progress to Closed

Complete for now.

Creating a story for general update of documentation that will contain tasks where documentation revision is required.
